Bug 1277128 - [abrt] gnome-calendar: icaltimezone_compare_change_fn(): gnome-calendar killed by SIGSEGV
[abrt] gnome-calendar: icaltimezone_compare_change_fn(): gnome-calendar kille...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:57b7b88e3e0720a019b694293f2...
:
: 1310220 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 07:47 EST by Christian Stadelmann
Modified: 2017-05-30 01:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-19 06:32:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (138.36 KB, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: core_backtrace (103.88 KB, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: dso_list (17.63 KB, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: maps (86.46 KB, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: open_fds (2.05 KB, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1022 bytes, text/plain)
2015-11-02 07:47 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-11-02 07:47:02 EST
Description of problem:
This crash seems to happen very often (or even every time) I close gnome-calendar.

Version-Release number of selected component:
gnome-calendar-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltimezone_compare_change_fn
executable:     /usr/bin/gnome-calendar
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 icaltimezone_compare_change_fn at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:756
 #1 icaltimezone_find_nearby_change at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:1101
 #2 icaltimezone_get_utc_offset_of_utc_time at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:1022
 #3 icaltimezone_convert_time at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:812
 #4 icaltime_from_timet_with_zone at /usr/src/debug/libical-1.0.1/src/libical/icaltime.c:223
 #5 cal_object_time_from_time at e-cal-recur.c:3792
 #6 e_cal_recur_generate_instances_of_rule at e-cal-recur.c:816
 #7 e_cal_recur_generate_instances at e-cal-recur.c:640
 #8 generate_instances at e-cal-client.c:2670
 #9 e_cal_client_generate_instances_for_object_sync at e-cal-client.c:3327

Potential duplicate: bug 1220316
Comment 1 Christian Stadelmann 2015-11-02 07:47:08 EST
Created attachment 1088552 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-11-02 07:47:10 EST
Created attachment 1088553 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-11-02 07:47:12 EST
Created attachment 1088554 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-11-02 07:47:13 EST
Created attachment 1088555 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-11-02 07:47:15 EST
Created attachment 1088556 [details]
File: limits
Comment 6 Christian Stadelmann 2015-11-02 07:47:17 EST
Created attachment 1088557 [details]
File: maps
Comment 7 Christian Stadelmann 2015-11-02 07:47:19 EST
Created attachment 1088558 [details]
File: open_fds
Comment 8 Christian Stadelmann 2015-11-02 07:47:20 EST
Created attachment 1088559 [details]
File: proc_pid_status
Comment 9 Christian Stadelmann 2015-12-16 07:12:02 EST
Looks like an out-of-memory kill. Some messages from linux kernel at crash time:

pool invoked oom-killer: gfp_mask=0x280da, order=0, oom_score_adj=0
pool cpuset=/ mems_allowed=0
CPU: 1 PID: 2689 Comm: pool Not tainted 4.2.7-300.fc23.x86_64 #1
[…]
 0000000000000000 0000000054abed70 ffff8801e27c3a58 ffffffff81772baa
 0000000000000000 ffff8801e277b880 ffff8801e27c3ae8 ffffffff817720ee
 018a40fbe27c3ac8 fff4efff00000000 0000000000000001 0000000000000003
Call Trace:
 [<ffffffff81772baa>] dump_stack+0x45/0x57
 [<ffffffff817720ee>] dump_header+0x86/0x207
 [<ffffffff811a635b>] oom_kill_process+0x1db/0x3a0
 [<ffffffff811a6acc>] out_of_memory+0x54c/0x5a0
 [<ffffffff811acab8>] __alloc_pages_nodemask+0x838/0x980
 [<ffffffff811f68ae>] alloc_pages_vma+0xbe/0x240
 [<ffffffff811d685f>] handle_mm_fault+0x145f/0x17d0
 [<ffffffff81777dc3>] ? rwsem_down_read_failed+0xc3/0x110
 [<ffffffff813aa144>] ? call_rwsem_down_read_failed+0x14/0x30
 [<ffffffff81065437>] __do_page_fault+0x197/0x400
 [<ffffffff810656cf>] do_page_fault+0x2f/0x80
 [<ffffffff8177b538>] page_fault+0x28/0x30
Mem-Info:
active_anon:1882051 inactive_anon:44054 isolated_anon:0
                                  active_file:1131 inactive_file:1203 isolated_file:32
                                  unevictable:14 dirty:1312 writeback:0 unstable:0
                                  slab_reclaimable:7769 slab_unreclaimable:12991
                                  mapped:4496 shmem:44413 pagetables:14468 bounce:0
                                  free:11150 free_pcp:199 free_cma:0
Node 0 DMA free:15888kB min:20kB low:24kB high:28kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB isolated(anon):0kB isolated(file):0kB pres
lowmem_reserve[]: 0 3354 7769 7769
Node 0 DMA32 free:22492kB min:4832kB low:6040kB high:7248kB active_anon:3256932kB inactive_anon:75692kB active_file:2212kB inactive_file:2360kB unevictable:16kB isolated(anon):0k
lowmem_reserve[]: 0 0 4415 4415
Node 0 Normal free:6220kB min:6360kB low:7948kB high:9540kB active_anon:4271272kB inactive_anon:100524kB active_file:2312kB inactive_file:2452kB unevictable:40kB isolated(anon):0
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 0*4kB 0*8kB 1*16kB (U) 2*32kB (U) 1*64kB (U) 1*128kB (U) 1*256kB (U) 0*512kB 1*1024kB (U) 1*2048kB (M) 3*4096kB (M) = 15888kB
Node 0 DMA32: 1283*4kB (UE) 827*8kB (UE) 384*16kB (UEM) 118*32kB (UEM) 6*64kB (UM) 2*128kB (M) 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 22308kB
Node 0 Normal: 1509*4kB (UEM) 40*8kB (UE) 0*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 6356kB
Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
46828 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
2046477 pages RAM
0 pages HighMem/MovableOnly
52875 pages reserved
0 pages hwpoisoned
[ pid ]   uid  tgid total_vm      rss nr_ptes nr_pmds swapents oom_score_adj name
[…]
[ 2576]  1000  2576  2293479  1663479    3501      12        0             0 evolution-calen
[…]
Out of memory: Kill process 2576 (evolution-calen) score 836 or sacrifice child
Killed process 2576 (evolution-calen) total-vm:9173916kB, anon-rss:6653256kB, file-rss:660kB
Comment 10 Gwendal 2016-02-19 14:11:03 EST
*** Bug 1310220 has been marked as a duplicate of this bug. ***
Comment 11 Igor Gnatenko 2016-11-19 06:32:26 EST
Hopefully fixed within latest release.
Comment 12 Christian Stadelmann 2017-05-30 01:03:17 EDT
(In reply to Igor Gnatenko from comment #11)
> Hopefully fixed within latest release.

By the way, it has not, see bug #1451719.

Note You need to log in before you can comment on or make changes to this bug.